# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	Session-SharedMem
Summary:	Apache::Session::Store::SharedMem - Store persistent data in shared memory
Summary(pl):	Apache::Session::Store::SharedMem - Przechowuj trwae dane w pamici dzielonej
Name:		perl-Apache-Session-SharedMem
Version:	0.41
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Apache-Session
BuildRequires:	perl-IPC-Cache
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an Apache::Session extension module that stores the session
data in Shared memory (so, does exactly what it says on the tin then)
using IPC::Cache (and hence IPC::ShareLite).

%description -l pl
To jest rozszerzenie Apache::Session, przechowujce dane sesyjne w pamici
dzielonej (czyli robi dokadnie to, co ma napisane na puszce), przy uyciu
IPC::Cache (a wic IPC::ShareLite).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -wle 'WriteMakefile(NAME=>"Apache::Session::SharedMEM")'
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Apache/Session/*.pm
%{perl_sitelib}/Apache/Session/Store/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-Session-SharedMem.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:53  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/05 11:02:00  ankry
- updated to 0.41: changed location of files

Revision 1.2  2002/09/15 22:43:01  radek
- added missing file, release 2

Revision 1.1  2002/09/01 09:00:42  radek
- new, STBR

